Opened 6 years ago

Closed 6 years ago

#46316 closed defect (fixed)

py-cryptography @0.7_0: tries to download pyasn1 during build

Reported by: ivodoehler@… Owned by: stromnov (Andrew Stromnov)
Priority: Normal Milestone:
Component: ports Version: 2.3.3
Keywords: Cc: petrrr
Port: py-cryptography

Description (last modified by larryv (Lawrence Velázquez))

I tried to install upnp-inspector, but it failed. Reason is py27-cryptography:

this is the log-file:

[log text moved to attachment]

Attachments (1)

main.log (32.5 KB) - added by larryv (Lawrence Velázquez) 6 years ago.

Download all attachments as: .zip

Change History (4)

Changed 6 years ago by larryv (Lawrence Velázquez)

Attachment: main.log added

comment:1 in reply to:  description Changed 6 years ago by larryv (Lawrence Velázquez)

Description: modified (diff)
Keywords: py27-cryptography py27 removed
Owner: changed from macports-tickets@… to stromnov@…
Port: py-cryptography added; py27-cryptography removed
Summary: Error: Processing of port py27-cryptography failedpy-cryptography @0.7_0: tries to download pyasn1 during build

In future tickets, please attach large text files instead of pasting their contents inline. I just did this for you.

Replying to ivodoehler@…:

:debug:build Executing command line:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-cryptography/py27-cryptography/work/cryptography-0.7" && /opt/local/Library/Frameworks/Python.framework/Versions/2.7/bin/python2.7 setup.py --no-user-cfg build 
:info:build Download error on https://pypi.python.org/simple/pyasn1/: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:581) -- Some packages may not be found!
:info:build Couldn't find index page for 'pyasn1' (maybe misspelled?)
:info:build Download error on https://pypi.python.org/simple/: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:581) -- Some packages may not be found!
:info:build No local packages or download links found for pyasn1

The build is trying to download the pyasn1 library, which it shouldn’t be. (The fatal error is failed certificate verification, but it shouldn’t be trying to download anything anyway.) Maybe this port needs a dependency on py-asn1?

comment:2 Changed 6 years ago by petrrr

Cc: petr@… added

Cc Me!

comment:3 Changed 6 years ago by dbevans (David B. Evans)

Resolution: fixed
Status: newclosed

Fixed in r130025.

Note: See TracTickets for help on using tickets.